Skip to main content
GET
/
api
/
v3
/
admin
/
customers
/
{customer_id}
/
addresses
Spree Admin SDK
import { createAdminClient } from '@spree/admin-sdk'

const client = createAdminClient({
  baseUrl: 'https://your-store.com',
  secretKey: 'sk_xxx',
})

const { data: addresses } = await client.customers.addresses.list('cus_UkLWZg9DAJ')
{
  "data": [
    {
      "id": "addr_UkLWZg9DAJ",
      "first_name": "John",
      "last_name": "Doe",
      "full_name": "John Doe",
      "address1": "1 Lovely Street",
      "address2": "Northwest",
      "postal_code": "10118",
      "city": "New York",
      "phone": "555-555-0199",
      "company": "Company",
      "country_name": "United States of America",
      "country_iso": "US",
      "state_text": "NY",
      "state_abbr": "NY",
      "quick_checkout": false,
      "is_default_billing": false,
      "is_default_shipping": false,
      "state_name": "New York",
      "label": null,
      "metadata": {},
      "created_at": "2026-05-24T17:36:41.658Z",
      "updated_at": "2026-05-24T17:36:41.658Z",
      "customer_id": "cus_UkLWZg9DAJ"
    }
  ],
  "meta": {
    "page": 1,
    "limit": 25,
    "count": 1,
    "pages": 1,
    "from": 1,
    "to": 1,
    "in": 1,
    "previous": null,
    "next": null
  }
}

Documentation Index

Fetch the complete documentation index at: https://spreecommerce.org/docs/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

x-spree-api-key
string
header
required

Secret API key for admin access

Authorization
string
header
required

JWT token for admin user authentication

Headers

x-spree-api-key
string
required
Authorization
string
required

Path Parameters

customer_id
string
required

Query Parameters

expand
string

Comma-separated associations to expand (e.g., country, state). Use dot notation for nested expand (max 4 levels).

fields
string

Comma-separated list of fields to include (e.g., first_name,last_name,address1,city). id is always included.

Response

200 - application/json

addresses found